.header
  font-size 1.25rem

  &__container
    padding .5rem 1.5rem

  &__left,
  &__right
    display: flex
    align-items center

  &__right
    justify-content center

  &__list
    display flex
    list-style-type none
    padding-left 0

  &__item
    margin-right 16px

  &__link
    color $black
    padding 8px 16px 8px 0
    text-decoration none

    &:hover
      text-decoration underline

  &__logo
    text-align center

  /* right */

  &__buttons
    display flex

  &__login,
  &__signup
    border-width 0
    font-size 1.25rem
    text-align center
    width 132px

    &:hover
      color $black

  &__login
    background $blue_light
    border-radius 20px 0 0 20px
    color $black
    padding 8px 16px 8px 20px

    &:hover
      background darken($blue_light, 5)

  &__signup
    background $smoke
    border-radius 0 20px 20px 0
    color $black
    padding 8px 20px 8px 20px

    &:hover
      background darken($smoke, 5)

.menu
  width 32px
  height 24px
  position relative
  transform rotate(0deg)
  transition .5s ease-in-out
  cursor pointer

  span
    display block
    position absolute
    height 3px
    width 100%
    background $gray_light
    border-radius 4px
    opacity 1
    left 0
    transform rotate(0deg)
    transition .25s ease-in-out

    &:nth-child(1)
      top 0

    &:nth-child(2)
      top 10px

    &:nth-child(3)
      top 20px

  &.open
    span
      &:nth-child(1)
        top 12px
        transform rotate(135deg)

      &:nth-child(2)
        opacity 0
        left -24px

      &:nth-child(3)
        top 12px
        transform rotate(-135deg)

  &__content
    position absolute
    z-index 1001
    width 320px
    height auto
    background $yellow
    font-size 1.2rem
    padding 0 1rem 2rem
    transform translate3d(-320px, 0, 0)
    transition transform 0.4s

    &.open
      box-shadow 2px 4px 4px 0 rgba(0, 0, 0, 0.5)
      transform translate3d(0, 0, 0)
      transition transform 0.8s

  &__list
    padding-left 8px
    margin .5rem auto 0

  &__item
    list-style-type none
    padding 12px 0

  &__link
    color $black
    text-decoration none

  &__hr
    border .5px solid rgb(0 0 0 / .5)
    width 40px
    margin-left 8px


@media screen and (max-width $widescreen)
  .header
    &__container
      padding .25rem 1.5rem

    &__logo
      &__img
        width 80px

@media screen and (max-width $tablet)
  .header
    &__item
      margin-right 8px

@media screen and (max-width $mobile)
  .header
    font-size 1rem
    height 72px

    &__container
      padding 1rem 1.5rem

    &__left
      justify-content left

    &__logo
      padding 0

      &__img
        width 64px

    &__buttons
      display none

@media screen and (max-width $mobile_small)
  .header
    font-size 1rem